.free-course-card {
  display: flex;
  flex-direction: column;
  max-width: 85%;
  margin: 30px auto;
  padding: 15px;
  border: var(--border-standard);
  border-radius: 14px;
  background: var(--bg-content-card);
  backdrop-filter: blur(10px);
  box-shadow: var(--shadow-dark);
}

.free-course-card h3 {
  margin-top: 0;
  margin-bottom: 7px;
  text-align: center;
  font-size: 16px;
}

.free-course-card p {
  margin-top: 0;
  margin-bottom: 0;
  text-align: center;
  color: var(--text-secondary);
  font-size: 14px;
}

.free-course-card-content {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 80px;
}

.free-course-card ul {
  list-style-type: none;
  padding-left: 0;
}

.free-course-card li {
  margin-bottom: 4px;
  color: var(--text-muted);
  font-size: 13px;
}

.free-course-card i {
  margin: 0 8px;
  color: var(--text-accent-blue);
  font-size: 13px;
}

.badge-free {
  padding: 6px 12px;
  border-radius: 6px;
  font-size: 13px;
  font-weight: 500;
  color: #22c55e;
  background: rgba(34,197,94,0.1);
}

.free-course-card-footer {
  display: flex;
  justify-content: center;
}

.free-course-card a {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  white-space: nowrap;
  min-width: max-content;
  line-height: 1;
  padding: 9px 16px;
  border: var(--border-button-outline);
  border-radius: 20px;
  color: var(--text-accent-blue);
  background: transparent;
  font-size: 14px;
  font-weight: 500;
  text-decoration: none;
  box-shadow: var(--shadow-blue-off);
  transition: 0.3s;
}
.free-course-card a:hover {
  transform: translateY(-3px);
  color: var(--text-primary);
  background: var(--bg-button-outline-on);
  box-shadow: var(--shadow-blue-on);
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {
  .free-course-card {
    max-width: 85%;
  }

  .free-course-card h3 {
    font-size: 15px;
  }

  .badge-free {
    font-size: 12px;
  }
}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {
  .free-course-card h3 {
    font-size: 15px;
  }

  .free-course-card p {
    font-size: 14px;
  }

  .badge-free {
    font-size: 12px;
  }
}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {
  .free-course-card h3 {
    font-size: 15px;
  }

  .free-course-card p {
    font-size: 14px;
  }

  .badge-free {
    font-size: 12px;
  }
}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {

}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {
  .free-course-card {
    max-width: 90%;
    padding: 10px;
  }

  .free-course-card h3 {
    font-size: 14px;
  }

  .free-course-card p {
    font-size: 12px;
  }

  .free-course-card-content {
    gap: 0;
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .free-course-card li {
    font-size: 13px;
  }

  .free-course-card i {
    font-size: 13px;
  }

  .badge-free {
    display: none;
  }
}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .free-course-card {
    max-width: 95%;
    padding: 10px;
  }

  .free-course-card h3 {
    font-size: 15px;
  }

  .free-course-card p {
    font-size: 13px;
  }

  .free-course-card-content {
    gap: 0;
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .free-course-card li {
    font-size: 14px;
  }

  .free-course-card i {
    font-size: 14px;
  }

  .badge-free {
    display: none;
  }
}
@media (max-width: 767px) and (orientation: landscape) {
  .free-course-card {
    max-width: 98%;
    padding: 20px;
  }

  .free-course-card h3 {
    font-size: 16px;
  }

  .free-course-card p {
    font-size: 14px;
  }

  .free-course-card-content {
    gap: 80px;
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .free-course-card li {
    font-size: 14px;
  }

  .free-course-card i {
    font-size: 14px;
  }

  .free-course-card a {
    padding: 10px 18px;
    font-size: 15px;
  }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .free-course-card {
    max-width: 95%;
    padding: 20px;
  }

  .free-course-card h3 {
    font-size: 16px;
  }

  .free-course-card p {
    font-size: 14px;
  }

  .free-course-card-content {
    gap: 80px;
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .free-course-card li {
    font-size: 14px;
  }

  .free-course-card i {
    font-size: 14px;
  }

  .badge-free {
    display: inline-block;
    padding: 6px 12px;
  }
  
  .free-course-card a {
    padding: 11px 18px;
    font-size: 15px;
  }
}